MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
UpdateWalk Class Referencefinal

`#include <Walk.hxx>`

## Public Member Functions
| UpdateWalk (EventLoop &_loop, DatabaseListener &_listener, Storage &_storage)
void | Cancel ()
| Cancel the current update and quit the Walk() method as soon as possible. More...
bool | Walk (Directory &root, const char *path, bool discard)
| Returns true if the database was modified. More...

## Detailed Description

Definition at line 34 of file Walk.hxx.

## Constructor & Destructor Documentation

UpdateWalk::UpdateWalk | ( | EventLoop & | _loop,
|  | DatabaseListener & | _listener,
|  | Storage & | _storage
| ) |  |

## Member Function Documentation

void UpdateWalk::Cancel | ( |  | ) |
| inline

Cancel the current update and quit the Walk() method as soon as possible.

Definition at line 69 of file Walk.hxx.

bool UpdateWalk::Walk | ( | Directory & | root,
|  | const char * | path,
|  | bool | discard
| ) |  |

Returns true if the database was modified.

The documentation for this class was generated from the following file:

- db/update/Walk.hxx